package com.dragonsblaze.client.view;

import com.dragonsblaze.client.Controller;
import com.dragonsblaze.client.util.LogUtils;
import com.google.gwt.dom.client.Style.Overflow;
import com.google.gwt.event.logical.shared.AttachEvent;
import com.google.gwt.event.logical.shared.AttachEvent.Handler;
import com.google.gwt.user.client.ui.Composite;

public class View extends Composite
{
	Overflow overflow = Overflow.HIDDEN;

	public View()
	{
		addAttachHandler(new Handler()
		{
			@Override
			public void onAttachOrDetach(AttachEvent event)
			{
				if (!event.isAttached())
					return;

				Controller.setOverflow(View.this.overflow);
			}
		});
	}

	public String getState()
	{
		return null;
	}

	public void restoreState(String state)
	{
		LogUtils.log("restoreState() not implemented: " + this.getClass().getName());
	}
}
